AMQPExchange::setArgument
AMQPExchange::setFlags
AMQPExchange
PHP Manual

# AMQPExchange::setArguments

(PECL amqp >= Unknown)

AMQPExchange::setArguments — Set all arguments on the exchange

### Beschreibung

public void AMQPExchange::setArguments ( array `$arguments` )

Set all arguments on the given exchange. All other argument settings will be wiped.

### Parameter-Liste

`arguments`

  An array of key/value pairs of arguments.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

AMQPExchange::setArgument
AMQPExchange::setFlags
AMQPExchange
PHP Manual